#!/usr/bin/env python
# -*- coding: utf-8 -*-

# $Id: additem.py 82 2011-02-18 07:44:15Z kkumer $ 

"""Adding additonal input fields. Called by abs.py.

kkumer@phy.hr 2003-03-26 
"""

PWD_PROTECTED = 1
execfile('../cgi_init.py')  # CGI initialization

## Getting db record into a dictionary a
a = get(cursor, uid)

# Test if we need additional fields and create them
if form.has_key('addauthor'):
    authorfield = ("Name", "Surname", "name@somewhere.edu", "1")
    a['authors'] = a['authors'] + int(form['addauthor'].value)*[authorfield]
if form.has_key('addinst'):
    instfield = ("1", "Institution")
    a['institutions'] = a['institutions'] +\
                         int(form['addinst'].value)*[instfield]
if form.has_key('addref'):
    reffield = ("1", "referenca")
    a['refs'] = a['refs'] + int(form['addref'].value)*[reffield]

## Update database
update(cursor, uid, a)

## HTML form for going back
back = Form(cgi=cfg['CGI_LINK']+"abstracts/abs.py",
         submit=Input(type="submit", value="Natrag na unos sažetka"))
back.append(Input(type="hidden", name="pwd", value=pwd))

## Generating HTML page with input form

ttl = "Dodavanje polja - %s %s" % (uname, usurname)
ctype = Meta(equiv="Content-Type",
           content="text/html; charset=utf-8")

css = cfg['HTML_LINK']+"coonf.css"

doc = SimpleDocument(title=ttl, stylesheet=css)

# head
head, foot = web.extractHF()
doc.append(head)

# title
doc.append(Heading(1,ttl))

doc.append("""
Tražena polja su dodana. Za povratak pritisnite ovo dolje,
a <B>ne</B> [BACK] na svojem browseru.
""")

doc.append(back)


# writing it out
doc.append(foot % today)
doc.write()
