#!/usr/bin/env python

# $Id: create_table_abstracts.py 85 2012-02-27 13:26:08Z kkumer $ 

"""This script creates table 'abstracts' in database.
"""

import sys, __builtin__

try:
    execfile(sys.argv[1])
    __builtin__.cfg = cfg  # Ugly hack to make cfg global
except:
    sys.stderr.write('\n Usage: create_table_people <configuration_file>\n')
    sys.exit(1)

from coonf import *

cursor = getCursor()

# Delete old table
#cursor.execute('DROP TABLE abstracts')
# Begin of the SQL query
qry = """
CREATE TABLE abstracts (
  id int unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  authorid varchar(4) NOT NULL,
  body blob,
  KEY id (id)
);"""

## print "SQLcommand = ", qry

cursor.execute(qry)
sys.stderr.write('Table created.\n')

releaseCursor(cursor)

