#! /usr/bin/env python

# $Id: publish_fancy.py 85 2012-02-27 13:26:08Z kkumer $ 

import sys, __builtin__

# Here is where content of more complicated Web pages is defined, usually via
# some python scripts. Design
# elements, such as header, footer and navigation bar are in TEMPLATE.html
# These are NOT dynamical HTML pages created on demand, but statical
# pages with content created by running this script. Dynamical pages
# are created by scripts in CGI directory!

# application.html is simple in the sense that it is not generated
# via python script but it is here nevertheless since it needs to be
# synchronised with register.conf file and this presumably involves some
# expertise (not much, though).

        
# To easily scroll over pages, search for 'PAGE'
# To write a new one, there is template at the end of this file

try:
    execfile(sys.argv[1])
    __builtin__.cfg = cfg  # Ugly hack to make cfg global
except:
    sys.stderr.write('\n Usage: publish_fancy.py <configuration_file>\n')
    sys.exit(1)

from coonf import *

pages=[]

# PAGE
path = 'application.html'
title = 'Application form'
update = '2003-10-29'
content = """

<h1 align="center">Application form</h1>

<P>
Red star (<FONT color="red">*</FONT>) denotes obligatory input!
<P>

<h2>Personal data</h2>
<!--  BEGIN FORM  -->
<FORM method="POST" ACTION="%s/register.py">

<!-- NAME  -->
<p>
Name(<FONT color="red">*</FONT>):&nbsp;<INPUT NAME="name" TYPE="text" SIZE=20 
MAXLENGTH=40>&nbsp;
Surname(<FONT color="red">*</FONT>):&nbsp;<INPUT NAME="surname" TYPE="text" 
SIZE=30 MAXLENGTH=80>
<p>

<!-- EMAIL  -->
email(<FONT color="red">*</FONT>):&nbsp;<INPUT NAME="email" TYPE="text" 
SIZE=40 MAXLENGTH=80><BR>&nbsp;&nbsp;
(Check this email carefully since this is where all further communication will go!)
<p>

<!-- TELEPHONE  -->
telephone:&nbsp;<INPUT NAME="tel" TYPE="text" 
SIZE=30 MAXLENGTH=40>

<p>
<!-- ADDRESS  -->
<h3> Address </h3>

<table border="0" cellspacing="2" cellpadding="2">
<tr>
<td>Institution(<FONT color="red">*</FONT>):</td>
<td><INPUT NAME="institution" TYPE="text" SIZE=60></td>
</tr>
<tr>
<td>Street and streetno. (or P.O.B.):</td>
<td><INPUT NAME="street" TYPE="text" SIZE=60></td>
</tr>
<tr>
<td>City:</td>
<td><INPUT NAME="city" TYPE="text" SIZE=40></td>
</tr>
<tr>
<td>ZIP code:</td>
<td><INPUT NAME="zip" TYPE="text" SIZE=10></td>
</tr>
<tr>
<td>Country:</td>
<td><INPUT NAME="country" TYPE="text" SIZE=20></td>
</tr>
</table>

<!--  TYPE  -->
<h2>Type of contribution</h2>

<p>

<table border="0" cellspacing="2" cellpadding="2">
<tr>
<td>Type of my contribution:</td>
<td>

<INPUT NAME="pres" TYPE="radio" VALUE="O" CHECKED>
&nbsp;
Oral presentation <br> 

<INPUT NAME="pres" TYPE="radio" VALUE="P">
&nbsp;
Poster presentation <br> 

<INPUT NAME="pres" TYPE="radio" VALUE="OP">
&nbsp;
Oral presentation with accompanying poster <br> 

<INPUT NAME="pres" TYPE="radio" VALUE="N">
&nbsp;
No presentation

</td>
</tr>
</table>

<p>

<table border="0" cellspacing="1" cellpadding="2">
<tr> 
<td>Preliminary title:</td>
<td><INPUT NAME="prestitle" TYPE="text" SIZE=60 MAXLENGTH=120><br> 
(120 characters max.)</td> 
</tr>
</table>

<p>

<h3> Conference dinner </h3>
Conference dinner: &nbsp;&nbsp;
Yes <INPUT NAME="banketYN" TYPE="radio" VALUE="Y">&nbsp;&nbsp;
No <INPUT NAME="banketYN" TYPE="radio" VALUE="N" CHECKED>. &nbsp;&nbsp;
<br> 
&nbsp; &nbsp; Dietary requirements (vegetarian etc.)
<INPUT NAME="diet" TYPE="text" SIZE=30 MAXLENGTH=80>
<p> 
(Price of conference dinner is  <i>10 euros</i> per capita.)

<h3> Confirmation </h3>
Check data you entered (especially email address!) and press:
<br> <br> 
<center>
<INPUT TYPE="submit" VALUE="Submit">&nbsp; &nbsp; &nbsp; &nbsp;
<INPUT TYPE="reset" VALUE="Reset">
</center>


</FORM>

""" % cfg['CGI_LINK']
pages.append([path, title, update, content])

# PAGE
## path = 'private/index.html'
## title = ''
## update = '2003-05-xx'
## content = """
##   html content here
## """
## pages.append([path, title, update, content])

if __name__ == '__main__':
    publish(pages)
