#!/usr/bin/env python

import sys, __builtin__

# Here is where actual content of simple Web pages is defined. Design
# elements, such as header, footer and navigation bar are in TEMPLATE.html

# This is example, with SOME URLs BELOW HARD-CODED. YOU SHOULD  MAYBE CHANGE THIS !!

try:
    execfile(sys.argv[1])
    __builtin__.cfg = cfg  # Ugly hack to make cfg global
except:
    sys.stderr.write('\n Usage: publish_simple.py <configuration_file>\n')
    sys.exit(1)

from coonf import *
        
# To easily scroll over pages, search for 'PAGE'
# To write a new one, there is template at the end of this file

pages=[]

# PAGE
path = 'index.html'
title = 'coonf example site - homepage'
update = '2004-05-05'
content = """

<h1> Homepage </h1>

This is just an placeholder for homepage. You can proceed
to the <a href="application.html">application form</a>.

"""
pages.append([path, title, update, content])

# PAGE
path = 'committee.html'
title = 'Organizing committee'
update = '2003-05-07'
content = """

<h1> Organizing committee </h1>

<ul>
  <li> <a class="nonUnderlined" href="mailto:guy@host.com">First Organizer</a> (His Institution)
 <li> <a class="nonUnderlined" href="mailto:gal@host.com">Second Organizess</a> (Her Institution)
</ul>


"""
pages.append([path, title, update, content])

# PAGE
path = 'abstract.html'
title = 'Abstract submission'
update = '2003-10-29'
content = """
<h1> Abstract submission </h1>

Abstract are submitted via WWW. Each participant after filling
out the <a href="application.html">application form</a>
gets his private conference WWW page with address of the form
<pre>
http://name.of.this.site/cgi-bin/conference/home.py?pwd=XXXXXXX
</pre>
where abstract can be submitted.
"""
pages.append([path, title, update, content])


# PAGE
path = 'private/index.html'
title = 'Super-secret organizing commitee pages'
update = '2003-11-05'
content = """
<h2> Super-secret organizing commitee pages </h2>

<br>
(This page should maybe be password-protected. See the documenatation
of yor WWW server for how to do this.)


<h4>Access to database:</h4>

<ul>
 <li> <a href="%s/people.py">List of people</a> 
<li>

</ul>
<br> <br> 

""" % cfg['CGI_LINK']
pages.append([path, title, update, content])


# PAGE
path = 'search.html'
title = 'Searching the database'
update = '2004-05-05'
content = """

<h1 align="center">Searching the database</h1>

Search is case-insensitive for a string that you enter and there are no
wildcards and fancy Boolean logic at the moment. Thus, 'er' will match
both 'Erwin' and 'Albert'.


<br><p><br>

<FORM method="POST" ACTION="%s/search.py">

Search all data:&nbsp;<INPUT NAME="searchall" TYPE="text" SIZE=30 MAXLENGTH=40>
<br><p><br>
Search only name or surname:&nbsp;<INPUT NAME="searchname" TYPE="text" SIZE=30 MAXLENGTH=40>
<br><p><br>

<center>
<INPUT TYPE="submit" VALUE="Search">&nbsp; &nbsp; &nbsp; &nbsp;
<INPUT TYPE="reset" VALUE="Clear">
</center>


</FORM>

""" % cfg['CGI_LINK']
pages.append([path, title, update, content])

# PAGE
## path = 'private/index.html'
## title = ''
## update = '2003-05-xx'
## content = """
##   html content here
## """
## pages.append([path, title, update, content])

if __name__ == '__main__':
    publish(pages)
